package opc.ua.services.common;

public class DataChangeFilter {

	private DataChangeTrigger trigger;
	private long deadbandType;
	private double deadbandValue;

	
	public DataChangeTrigger getTrigger() {
		return trigger;
	}
	public void setTrigger(DataChangeTrigger trigger) {
		this.trigger = trigger;
	}
	public long getDeadbandType() {
		return deadbandType;
	}
	public void setDeadbandType(long deadbandType) {
		this.deadbandType = deadbandType;
	}
	public double getDeadbandValue() {
		return deadbandValue;
	}
	public void setDeadbandValue(double deadbandValue) {
		this.deadbandValue = deadbandValue;
	}

}
